Subject: Re: [iproute PATCH 0/2] Netns performance improvements

From: Phil Sutter <[email-masked]>
Date: Tue, 5 Jul 2016 16:49:20 +0200

Hi,

On Tue, Jul 05, 2016 at 04:42:51PM +0200, Phil Sutter wrote:
> Stress-testing OpenStack Neutron revealed poor performance of 'ip netns'
> when dealing with a high amount of namespaces. The cause of this lies in
> the combination of how iproute2 mounts NETNS_RUN_DIR and the netns files
> therein and the fact that systemd makes all mount points of the system
> shared.
> 
> Phil Sutter (2):
>   ipnetns: Move NETNS_RUN_DIR into it's own propagation group
>   ipnetns: Make netns mount points private

Please disregard this series for now, I forgot to give credit to the
original author of the changeset.

Sorry for the noise!

Phil